Bug 483083 - Freezes when trying to change a key's passphrase.
Freezes when trying to change a key's passphrase.
Product: Fedora
Classification: Fedora
Component: seahorse (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-01-29 11:45 EST by George Notaras
Modified: 2015-03-03 17:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 02:44:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description George Notaras 2009-01-29 11:45:41 EST
Description of problem:
Freezes when trying to change a key's passphrase from the graphical interface.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Open key's properties
2.Press the "Change Passphrase" button
Comment 1 Kyle Martin 2009-06-24 00:51:21 EDT
I have a similar problem in seahorse for f11, any point where I would be asked to put in my passphrase results in seahorse locking up and a process named pinentry, which i presume to be the command line gpg util asking for my passphrase, eating up half of my processor cycles.
Comment 2 Andy Duplain 2009-07-03 09:41:08 EDT
I also have this problem with Seahorse under F11 (amd64) whenever I am expected to enter the passphrase for my key.
Comment 3 Michael Schwendt 2009-09-01 05:31:28 EDT
Does installing "pinentry-gtk" help? -> bug 474419
Comment 4 Kyle Martin 2009-09-02 08:12:25 EDT
Yes, it does, might want to add pinentry-gtk as a dependency to seahorse.
Comment 5 Kyle Martin 2009-09-02 08:21:42 EDT
(In reply to comment #4)
> Yes, it does, might want to add pinentry-gtk as a dependency to seahorse.  

Sorry for the self-reply but it provides a partial fix. a dialogue box asking for the key password comes up and if the user puts in a new key everything works fine. However if the user cancels out, while the program won't hang, pinentry does not go away gracefully and needs to be manually killed as before.
Comment 6 Bug Zapper 2009-11-18 05:54:33 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 7 Bug Zapper 2009-12-18 02:44:07 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.